Subject: RE: [dhcwg] "Options" field

From: "Kostur, Andre" <[email-masked]>
Date: Thu, 16 May 2002 07:58:20 -0700

> > I don't agree with your interpretation.  Quoting from the RFC:
> >
> > "A DHCP client must be prepared to receive DHCP messages 
> with an 'options'
> >  field of at least length 312 octets"
>                                                                ^^^^^^
> 
> This section of the document says _nothing_ about sending 
> messages.   It 
> specifies what a client must be prepared to receive.   This is not an 
> interpretation - it's what the text says.   It says that a 
> DHCP client must 
> be able to handle _at least_ a 576-byte packet on input.   
> This means that 
> a DHCP server cannot assume that any client can accept a 
> packet larger than 
> 576 bytes unless the client says it can by sending the 
> maximum message size 
> option.

I don't disagree that in the absence of information to the contrary, the
largest packet that a server can expect the client to handle is 576 bytes.
However, if the client sends option 57 specifying that the largest DHCP
packet that it is willing to handle is 1400 bytes, then the options field is
1400 - 286 = 1136 bytes.  Thus, the maximum size that the options field may
be is much larger than the 312 bytes mentioned in RFC 2131.  (The data
within the options field may not take up the entire field).

---

From: Ted Lemon <[email-masked]>
Date: Thu, 16 May 2002 13:47:22 -0500

> packet that it is willing to handle is 1400 bytes, then the options field 
> is 1400 - 286 = 1136 bytes.  Thus, the maximum size that the options field 
> may be is much larger than the 312 bytes mentioned in RFC 2131.  (The data 

Ah, I see.   We meant different things by "maximum size."   Sigh.   :'}

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg